Ryzom - Bug # 977

Status: Closed Priority: High

Author: TomH Category: Client: General
Created: 06/12/2010 Assignee: kervala
Updated: 07/15/2010 Due date:

Subiject: Characters without heads.

Description

When an item is added into the game, the characters heads disappear.

According to [[http://dev.ryzom.com/wiki/ryzom/AddingGameEntities#Make-it-available-on-server-and-client]], the heads aren't
available in the files.

It would be helpful if someone could add them as soon as possible.

This issue has been going on for months already.

Thank you.

History

#1 - 06/12/2010 12:02 pm - kervala

You need to create files for slots : Face and Head (helmets and haircuts are using this slot)

#2 - 06/12/2010 08:50 pm - sfb

I said this in IRC but no one was listening:

18:21 < sfb> Did you add a new item?

18:21 < sfb> Or a new head?

18:21 < sfb> Er creature?

18:22 < sfb> fyi

18:22 < sfb> We've only been open source for about a month.

18:23 < sfb> So the term 'months' isn't accurate. (=

18:24 < yubo> New news from ryzom: Bug #978: Client segfault under linux <http://dev.ryzom.com/issues/978>

18:25 -I- Irssi: Pasting 9 lines to #ryzom. Press Citrl-K if you wish to do this or Ctrl-C to cancel.
18:25 < sfb> mattr@karmic:~/rzc$ bnp_make /I characters_shapes.bnp | grep vis
18:25 < sfb> FY_HOF_visage.shape

18:25 < sfb> FY_HOM_visage.shape

18:25 < sfb> MA_HOF_visage.shape

18:25 < sfb> MA_HOM_visage.shape

18:25 < sfb> TR_HOF_visage.shape

18:25 < sfb> TR_HOM _visage.shape

18:25 < sfb> ZO_HOF_visage.shape

18:25 < sfb> ZO_HOM_visage.shape

18:25 < sfb> So | disagree.

18:25 < sfb> The heads

18:25 < sfb> ZO_HOM_cheveux_medium02.shape

18:25 < sfb> ZO_HOM_cheveux_shave01.shape
18:25 < sfb> (for example)

18:25 < sfb> and hairs are all there

18:25 < sfb> The shapes are.

18:26 < sfb> Those shapes are in ceatures_shapes.bnp

18:26 < yubo> New news from ryzom: Bug #978: Client segfault under linux <http://dev.ryzom.com/issues/978#change-3593>

18:28 < yubo> New news from ryzom: Bug #978 (Rejected): Client segfault under linux <http://dev.ryzom.com/issues/978#change-3594>

18:32 < sfb> | think what is missing, specifically, is the sheets for the visages
18:32 < sfb> Which are .item sheets

18:33 < sfb> You need to create an item, set its origin (e.g. matis, tryker, etc)
18:33 < sfb> And then add a "3d" section with "shape" pointing to the male shape and shape_female pointing to the female shape.
18:34 < sfb> The naming context is RR_HOM_visage.shape

18:34 < sfb> RR race, e.g. TR, ZO, MA

18:34 < sfb> HOM homin male, HOF == homin female

18:34 < sfb> The file name will be something like ma_visage.item

18:35 < sfb> This is how the whole body goes together.

18:35 < sfb> legs, arms, torso, etc

18:35 < sfb> They're all defined as "item" sheets and attached as equipment.
18:35 < sfb> Oh yes

18:35 < sfb> And under Equipmentinfo set the EquipmentSlot to "face'

#3 - 06/12/2010 09:18 pm - TomH

I'm sure | wasn't in the chat when you said that, no one was even chatting and was a dead chatroom with a lot of people but that's fine.

Someone already helped me with the issue.

#4 - 06/13/2010 08:24 am - Nerocon
sfb wrote:
18:35 < sfb> This is how the whole body goes together.
18:35 < sfb> legs, arms, torso, etc
18:35 < sfb> They're all defined as "item" sheets and attached as equipment.

18:35 < sfb> Oh yes
18:35 < sfb> And under Equipmentinfo set the EquipmentSlot to "face’

Would be awesome if the system could be tweaked to allow a character to be dismembered.

#5 - 06/14/2010 04:08 pm - kervala
- Category set to Client: General

- Assignee set to kervala

#6 - 06/14/2010 04:09 pm - kervala
- Status changed from New to Assigned

#7 - 06/14/2010 04:11 pm - kervala

We added all haircuts and faces :) Enjoy !
#8 - 06/14/2010 04:11 pm - kervala

- Target version set to Version 0.8.0

#9 - 06/14/2010 04:11 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r370.

#10 - 07/15/2010 04:40 pm - kervala
- Status changed from Resolved to Closed
